package com.qxgmat.data.constants.enums.user;

public enum PrepareStatus {
    STUDENT_DOMESTIC("student_domestic"),
    STUDENT_OVERSEAS("student_overseas"),
    WORKER_DOMESTIC("worker_domestic"),
    WORKER_OVERSEAS("worker_overseas"),
    GAY_YEAR("gap_year");

    public String key;
    private PrepareStatus(String key){
        this.key = key;
    }

    public static PrepareStatus ValueOf(String name){
        if (name == "") return null;
        return PrepareStatus.valueOf(name.toUpperCase());
    }
}
